testBranchTwo <- function(obsdat, simdata){

  if(length(dim(obsdat)) == 2){
    obsdiff <- sum((obsdat[1,] - obsdat[2,])^2)

    estvar2 <- apply(simdata, c(1,2), function(x) var(x^2, na.rm = T))
    estvar <- apply(simdata, c(1,2), function(x) var(x, na.rm = T))
    mysd <- sum(estvar2[1,] +
                  estvar2[2,]^2 -
                  2*estvar[1,]*estvar[2,])^0.5
    myci <- c(obsdiff - 3*mysd, obsdiff + 3*mysd)

    if(myci[1] <= 0 & myci[2] >= 0){ # if 0 in conf interval, fail branch test
      return(F)
    }else{
      return(T)
    }
  }else{
    # need to write code for temporal dim
  }

}
